//
// RoomBasedPrice.h
// IvyMedia
//
// Created by haibara on 9/26/14.
//
//

#import <Foundation/Foundation.h>

@interface RoomBasedPrice : NSObject

@property (nonatomic, assign) BOOL enable_child;
@property (nonatomic, assign) BOOL enable_infant;
@property (nonatomic, assign) NSInteger min_people_num;
@property (nonatomic, assign) NSInteger max_people_num;
@property (nonatomic, assign) NSInteger min_adult_num;
@property (nonatomic, assign) NSInteger max_adult_num;
@property (nonatomic, assign) NSInteger max_child_num;
@property (nonatomic, assign) NSInteger max_infant_num;
@property (nonatomic, assign) NSInteger child_age_from;
@property (nonatomic, assign) NSInteger child_age_to;
@property (nonatomic, assign) NSInteger peopleMinimum;
@property (nonatomic, assign) NSInteger maxPeople;

@property (nonatomic, assign, readonly) BOOL enable_adult;
@property (nonatomic, assign, readonly) BOOL enable_child_age;

@property (nonatomic, strong, readonly) NSArray *allowedTypes;

+ (NSArray *)defaultPossibleTypes;

@end
