//
// ScheduleStop.m
// Project
//
// Created by 杨殷杭 on 2017/5/11.
//
//

#import "ScheduleStop.h"
#import "DateFormatUtils.h"
#import "FastDateFormat.h"
#import "DateUtils.h"
#import "CocoaUtils.h"
@implementation ScheduleStop

#pragma mark - Property

- (NSInteger)uncheckedPassengerNum {
	return self.pickUpPassengerNum - self.checkInPassengerNum;
}

- (NSString *)departureOption{
    NSDate *date = [DateUtils parseDate:_leavingTime parsePatterns:@"HH:mm", nil];
    return  [NSString stringWithFormat:@"%@ %@",[CocoaUtils localizedStringFromDate:date template:@"hmma"],_busstation.name];
             
}

-(NSString *)arrivalOption{
    NSDate *date = [DateUtils parseDate:_arrivalTime parsePatterns:@"HH:mm", nil];
    return  [NSString stringWithFormat:@"%@ %@",[CocoaUtils localizedStringFromDate:date template:@"hmma"],_busstation.name];
}
@end
