//
// User.h
// GoToBus
//
// Created by iphone development on 6/5/13.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "Address.h"
#import "CreditCard.h"

@interface User : NSObject

@property (nonatomic, assign) NSInteger id;
@property (nonatomic, strong) NSString *uid;
@property (nonatomic, strong) NSString *pass1;
@property (nonatomic, strong) NSString *pass2;
@property (nonatomic, assign) NSInteger role;
@property (nonatomic, strong) NSString *email;
@property (nonatomic, assign) NSInteger block_status;

@property (nonatomic, strong) NSString *cookie_string;
@property (nonatomic, assign) NSInteger user_app_id;

@property (nonatomic, strong) NSMutableArray *contactInfos;
@property (nonatomic, strong) NSMutableArray *creditCards;

@property (nonatomic, assign) NSInteger upcoming_itineraries_count;
@property (nonatomic, assign) BOOL app_first_purchase_discount_banner_shown;
@property (nonatomic, assign) BOOL is_bus_driver;
@property (nonatomic, assign) BOOL enable_time_clock_punch;
@property (nonatomic, assign) BOOL device_registered;

@property (nonatomic, assign, readonly) BOOL is_vendor;
@property (nonatomic, assign, readonly) BOOL is_support;
@property (nonatomic, assign, readonly) BOOL is_vendor_not_support;

+ (NSString *)nameForBlockStatus:(NSInteger)blockStatus;
+ (UIColor *)colorForBlockStatus:(NSInteger)blockStatus;

@end
