//
// Destination.h
// GotoBus
//
// Created by haibara on 1/17/15.
//
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@interface Destination : NSObject

@property (nonatomic, assign) NSInteger folder_id;

@property (nonatomic, strong) NSString *show_name;
@property (nonatomic, strong) NSString *name;

+ (NSDictionary *)stateNameCodeHashForUSA;
+ (NSDictionary *)stateNameCodeHashForCanada;

+ (NSString *)cityName:(NSString *)name;
+ (id)localityTransformation:(NSDictionary *)dict objectForPlacemark:(CLPlacemark *)placemark;

@end


